This program **opens the anvi'o interactive interface** to let the user **refine what contigs are contained in a specific %(bin)s or manually split one bin into several.**

In the %(interactive)s interface, any bins that you create will overwrite the bin that you originally opened.  If you don't provide any names, the new bins' titles will be prefixed with the name of the original bin, so that bin will continue to live on in spirit. 

Essentially, it is like running %(anvi-interactive)s, but disposing of the original bin when you're done. 

### Potential Use Cases 

There are several reasons you might want to use anvi-refine: 

- Your dataset is just really big. 

    This process has its own [dedicated blog post](http://merenlab.org/2015/05/11/anvi-refine/), but, in short, the interactive interface and analysis, like all things, has its limits. Instead of trying to actively analyze all of your data at once, which will be very computationally heavy and might limit the types of analysis you'll even be able to do, it will be helpful to split your data into several smaller bins first. Then you can use anvi-refine on each one to replace those temporary bins with your final bins. 
    
- You want to refine a bin generated by automated binning software.   
    
    After automated binning (which you can do in anvi'o with %(anvi-cluster-contigs)s), you might see an awkward bin or two. These programs often have difficultly separating bins in some scenarios, as well as sorting out prophages, mobile genetic elements, and other things that you might want to have in their own bin. You can take these out of your MAGs and put them in their own bins, split bins with high redundency, or just refine them in any way you please, using anvi-refine. 
    
- You're just not happy with one of your bins. 
    
    Happens to everyone. Maybe the redundency is just a little too high and you want to take a closer look, or maybe you just want to split up two contigs giving you different taxonomy results. Feel free to go in and take specfic contigs out or split one bin into several. 
    
If you just want to look at the contents of partiuclarly glorious bin, you should probably just use %(anvi-interactive)s for that, since you don't want to risk overwriting your bin. 
